Read members, arrival windows and calendar display bounds
curl --request GET \
--url https://api.getbreezyapp.com/v1/schedule/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getbreezyapp.com/v1/schedule/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getbreezyapp.com/v1/schedule/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"timezone": "America/Los_Angeles",
"display_hours": {
"start_hour": 7,
"end_hour": 19
},
"team_members": [
{
"id": "11111111-1111-4111-8111-000000000401",
"name": "Alex Example",
"active": true,
"scheduling_capability": "JOB_APPOINTMENTS_AND_INTERNAL_EVENTS"
},
{
"id": "11111111-1111-4111-8111-000000002002",
"name": "Sam Example",
"active": true,
"scheduling_capability": "JOB_APPOINTMENTS_AND_INTERNAL_EVENTS"
}
],
"arrival_windows": [
{
"id": "11111111-1111-4111-8111-000000002005",
"job_class": "SERVICE",
"start_time": "08:00:00",
"end_time": "12:00:00"
}
]
},
"meta": {
"request_id": "11111111-1111-4111-8111-000000009999",
"generated_at": "2026-09-08T19:00:00Z",
"timezone": "America/Los_Angeles"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "end_date must be later than start_date",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid API key is required",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"message": "This resource supports GET",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "STALE_REVISION",
"message": "The visit changed; read it again before editing",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Request body exceeds 64 KB",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Request limit exceeded",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Unable to complete request",
"request_id": "example-request",
"details": []
}
}Scheduling
Read members, arrival windows and calendar display bounds
Read only within the company associated with the validated key.
GET
/
schedule
/
settings
Read members, arrival windows and calendar display bounds
curl --request GET \
--url https://api.getbreezyapp.com/v1/schedule/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.getbreezyapp.com/v1/schedule/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.getbreezyapp.com/v1/schedule/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"timezone": "America/Los_Angeles",
"display_hours": {
"start_hour": 7,
"end_hour": 19
},
"team_members": [
{
"id": "11111111-1111-4111-8111-000000000401",
"name": "Alex Example",
"active": true,
"scheduling_capability": "JOB_APPOINTMENTS_AND_INTERNAL_EVENTS"
},
{
"id": "11111111-1111-4111-8111-000000002002",
"name": "Sam Example",
"active": true,
"scheduling_capability": "JOB_APPOINTMENTS_AND_INTERNAL_EVENTS"
}
],
"arrival_windows": [
{
"id": "11111111-1111-4111-8111-000000002005",
"job_class": "SERVICE",
"start_time": "08:00:00",
"end_time": "12:00:00"
}
]
},
"meta": {
"request_id": "11111111-1111-4111-8111-000000009999",
"generated_at": "2026-09-08T19:00:00Z",
"timezone": "America/Los_Angeles"
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "end_date must be later than start_date",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "A valid API key is required",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "METHOD_NOT_ALLOWED",
"message": "This resource supports GET",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "STALE_REVISION",
"message": "The visit changed; read it again before editing",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INVALID_REQUEST",
"message": "Request body exceeds 64 KB",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Request limit exceeded",
"request_id": "example-request",
"details": []
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Unable to complete request",
"request_id": "example-request",
"details": []
}
}Authorizations
Existing Breezy API key. Grants all published reads and scheduling writes in its associated company. No app permission scopes.